"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _osteoInventoryInput = _interopRequireDefault(require("cspace-ui-plugin-record-osteology/lib/components/osteoInventoryInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const messages = (0, _reactIntl.defineMessages)({
  affirmComplete: {
    "id": "form.osteology.default.affirmComplete",
    "defaultMessage": "By checking this box, I am affirming that the inventory of this individual is complete and that any and all unfilled boxes on this form indicate confirmation that those elements (or portions thereof, or features) are not present for this individual."
  }
});

const template = configContext => {
  const {
    FormattedMessage,
    React
  } = configContext.lib;
  const OsteoInventoryInput = (0, _osteoInventoryInput.default)(configContext);
  const {
    Col,
    Cols,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  return /*#__PURE__*/React.createElement(Field, {
    name: "document"
  }, /*#__PURE__*/React.createElement(Panel, {
    name: "info",
    collapsible: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "InventoryID"
  }), /*#__PURE__*/React.createElement(Col, null)), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateVerbatim"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateLower"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateUpper"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateDateGroup"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateAnalyst"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "sexDetermination"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationDateGroup"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationAnalyst"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationNote"
  }))), /*#__PURE__*/React.createElement(InputTable, {
    name: "completeness"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "completeness"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "completenessNote"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "dentition"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "molarsPresent"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "dentitionScore"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "dentitionNote"
  })), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(InputTable, {
    name: "mortuaryTreatment"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "mortuaryTreatment"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "mortuaryTreatmentNote"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "behrensmeyer"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "behrensmeyerSingleLower"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "behrensmeyerUpper"
  }))), /*#__PURE__*/React.createElement(Panel, {
    name: "inventory",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(OsteoInventoryInput, null)), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "NotesOnElementInventory"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "pathologyNote"
  })), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "InventoryIsComplete"
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      marginBottom: '8px'
    }
  }, /*#__PURE__*/React.createElement(FormattedMessage, messages.affirmComplete)), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "inventoryAnalyst"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "inventoryDate"
  })))), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "Notes_DentalPathology",
    subpath: "ns2:osteology_anthropology"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "Notes_CranialPathology",
    subpath: "ns2:osteology_anthropology"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "Notes_PostcranialPathology",
    subpath: "ns2:osteology_anthropology"
  })), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "Notes_CulturalModifications",
    subpath: "ns2:osteology_anthropology"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "Notes_NHTaphonomicAlterations",
    subpath: "ns2:osteology_anthropology"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "Notes_CuratorialSuffixing",
    subpath: "ns2:osteology_anthropology"
  }))), /*#__PURE__*/React.createElement(Panel, {
    name: "modification",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Panel, {
    name: "cranialDeform",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "cranialDeformationPresent",
    subpath: "ns2:osteology_anthropology"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "cranialDeformationCategories",
    subpath: "ns2:osteology_anthropology"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "cranialDeformationCategory"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "cranialDeformationNote",
    subpath: "ns2:osteology_anthropology"
  })), /*#__PURE__*/React.createElement(Panel, {
    name: "trepanation",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Field, {
    name: "trepanationPresent",
    subpath: "ns2:osteology_anthropology"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "trepanationGroupList",
    subpath: "ns2:osteology_anthropology"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "trepanationGroup"
  }, /*#__PURE__*/React.createElement(Panel, null, /*#__PURE__*/React.createElement(Cols, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "trepanationLocation"
  }), /*#__PURE__*/React.createElement(InputTable, {
    name: "trepanationDimension"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "trepanationDimensionMax"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "trepanationDimensionMin"
  })), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "trepanationTechnique"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "trepanationHealing"
  }))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "trepanationCertainty"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "trepanationNote"
  })))))), /*#__PURE__*/React.createElement(Field, {
    name: "trepanationGeneralNote",
    subpath: "ns2:osteology_anthropology"
  }))));
};

var _default = configContext => ({
  template: template(configContext)
});

exports.default = _default;